<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__generic__lwip__whd__port__defines" kind="group">
    <compoundname>generic_lwip_whd_port_defines</compoundname>
    <title>CY generic lwIP WHD glue results/error codes</title>
      <sectiondef kind="define">
      <memberdef id="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_WHD_PORT_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_LWIP_WHD_PORT_BASE, 0)</initializer>
        <briefdescription>
<para>Generic CY LWIP WHD port base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="50" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="50" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga467bb177bbb98da6b2a3a0eb14d0b5f7" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_INTERFACE_EXISTS</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 1)</initializer>
        <briefdescription>
<para>CY LWIP error. </para>        </briefdescription>
        <detaileddescription>
<para>Denotes interface already exists </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="53" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="53" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1gaec0b00cefc42e3015b0b430c96e5b0b9" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_ERROR_ADDING_INTERFACE</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 2)</initializer>
        <briefdescription>
<para>Denotes adding interface failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="54" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="54" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1gaaf82915a1cb81dd268dbb07f835981e8" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_ERROR_STARTING_DHCP</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 3)</initializer>
        <briefdescription>
<para>Denotes failure to start DHCP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="55" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="55" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga24cb7a753871ef1910b3cf58927827f5" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_INTERFACE_DOES_NOT_EXIST</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 4)</initializer>
        <briefdescription>
<para>Denotes interface does not exist. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="56" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="56" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga603cb8d0cf13b94663f2a0672e9acb8e" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_BAD_ARG</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 6)</initializer>
        <briefdescription>
<para>Denotes BAD arg. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="57" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="57" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga6d9dc67a4f5570cd14f74dc55355128e" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_SOCKET_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 7)</initializer>
        <briefdescription>
<para>Denotes LwIP socket error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="58" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="58" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga09e6f8b496e789c5f032a5a46ff4670b" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_SOCKET_CREATE_FAIL</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 8)</initializer>
        <briefdescription>
<para>Denotes LwIP socket create fail. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="59" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga41a4b3928fa95406987794d70be6a44b" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_INVALID_SOCKET</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 9)</initializer>
        <briefdescription>
<para>Denotes invalid socket. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="60" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="60" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1gac1102ca022f8831051359118bbe09291" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_CORRUPT_BUFFER</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 10)</initializer>
        <briefdescription>
<para>Denotes corrupt buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="61" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="61" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga8bb52b0b46e43e6a8afdc01828235983" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_DHCP_TIMEOUT</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 11)</initializer>
        <briefdescription>
<para>Denotes DHCP timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="62" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga27da3c48541076e0a5155ca1ece51c62" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_DHCP_WAIT_TIMEOUT</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 12)</initializer>
        <briefdescription>
<para>Denotes DHCP wait timeout. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="63" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga326850318ac7365aea102eff729b34dc" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_DHCP_MUTEX_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 13)</initializer>
        <briefdescription>
<para>Denotes DHCP Mutex error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="64" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="64" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1gad1754e0f57f854ba9d9aa31dc48c45c8" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_ERROR_STARTING_INTERNAL_DHCP</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 14)</initializer>
        <briefdescription>
<para>Denotes failure to start internal DHCP server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="65" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="65" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga85d8bc987e36388f34eb7a2e696ac02f" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_INTERFACE_NETWORK_NOT_UP</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 15)</initializer>
        <briefdescription>
<para>Denotes network is not up for the given interface. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="66" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="66" />
      </memberdef>
      <memberdef id="group__generic__lwip__whd__port__defines_1ga134180ef523510718e941a0c7d4129e0" kind="define" prot="public" static="no">
        <name>CY_RSLT_LWIP_ERROR_REMOVING_INTERFACE</name>
        <initializer>(<ref kindref="member" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589">CY_RSLT_LWIP_WHD_PORT_ERR_BASE</ref> + 16)</initializer>
        <briefdescription>
<para>Denotes error while removing interface. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip_error.h" line="67" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WiFi middleware core APIs return results of type cy_rslt_t and comprise of three parts: </para>    </briefdescription>
    <detaileddescription>
<para><itemizedlist>
<listitem><para>module base</para></listitem><listitem><para>type</para></listitem><listitem><para>error code</para></listitem></itemizedlist>
</para><para><simplesect kind="par"><title>Result Format</title><para /></simplesect>
<verbatim>           Module base                   Type    Library specific error code
   +-----------------------------------+------+------------------------------+
   |CY_RSLT_MODULE_LWIP_WHD_PORT_BASE  | 0x2  |           Error Code         |
   +-----------------------------------+------+------------------------------+
             14-bits                    2-bits            16-bits

Refer to the macro section of this document for library specific error codes.
</verbatim></para><para>The data structure cy_rslt_t is part of cy_result.h located in &lt;core_lib/include&gt;</para><para>Module base: This base is derived from CY_RSLT_MODULE_MIDDLEWARE_BASE (defined in cy_result.h) and is an offset of the CY_RSLT_MODULE_MIDDLEWARE_BASE The details of the offset and the middleware base are defined in cy_result_mw.h, that is part of <ulink url="https://github.com/cypresssemiconductorco/connectivity-utilities">Github connectivity-utilities</ulink> For instance, lwIP WHD PORT (CY_LWP_WHD_PORT) uses CY_RSLT_MODULE_LWIP_WHD_PORT_BASE as the module base</para><para>Type: This type is defined in cy_result.h and can be one of CY_RSLT_TYPE_FATAL, CY_RSLT_TYPE_ERROR, CY_RSLT_TYPE_WARNING or CY_RSLT_TYPE_INFO. AWS library error codes are of type CY_RSLT_TYPE_ERROR</para><para>Library specific error code: These error codes are library specific and defined in macro section</para><para>Helper macros used for creating the library specific result are provided as part of cy_result.h </para>    </detaileddescription>
  </compounddef>
</doxygen>